#include "bits/stdc++.h"

using namespace std;

#define ll long long

int n;

bool is_bitonic(deque<ll> a) {
    int i = 0;
    while (a[i] < a[i + 1]) i++;
    while (a[i] > a[i + 1]) i++;

    return i == a.size();
}

bool comp(ll a, ll b){
    return a > b;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin >> n;

    vector<ll> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
    }

    vector<ll> ans;

    deque<ll> sl;
    for (int i = 0; i < n; ++i) {
        sl.push_back(a[i]);
        if (!is_bitonic(sl)) {
            ans.push_back(sl.size() - 1);
            sl.clear();
            sl.push_back(a[i]);
        }
    }

    ans.push_back(sl.size());

    std::sort(ans.begin(), ans.end(), comp);

    vector<ll> dp(ans[0] + 2);
    dp[0] = 0;
    dp[1] = 1;
    for (int i = 2; i < ans[0]; ++i) {
        dp[i] = dp[i - 1] + i;
    }

    ll res = 0;
    for (int i = 0; i < ans.size(); ++i) {
        if(ans[i] > 0)
            res += dp[ans[i] - 1];
    }

    cout << res + a.size();
}