#include "bits/stdc++.h"

using namespace std;

#define ll long long

vector<int> is_prime;

vector<int> d(int n) {
    vector<int> res;

    int i = 2;
    while (i < (sqrt(n) + 1) && n > 1) {
        while (n % i == 0) {
            n /= i;
            res.push_back(i);
        }
        i++;
    }
    res.push_back(n);

    return res;
}

bool is_prime_f(int n) {
    return (d(n).size() == 1);
}

bool one_g(int a, int b) {
    bool a_ = 0;
    bool b_ = 0;

    a_ = a % b != 0 || !(is_prime[a / b]);
    b_ = b % a != 0 || !(is_prime[b / a]);

    return a_ && b_;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;

    vector<int> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
    }


    int mx = *std::max_element(a.begin(), a.end());

    is_prime.resize(mx);
    is_prime[2] = 1;
    is_prime[1] = 1;

    for (int i = 3; i <= mx; ++i) {
        is_prime[i] = is_prime_f(i);
    }

    std::sort(a.begin(), a.end(), one_g);

    int min_ze = n;

    for (int i = 0; i < min_ze; ++i) {
        for (int j = 0; j < min_ze; ++j) {
            if (j != i && !one_g(a[i], a[j])) {
                min_ze = min(min_ze, j);
            }
        }
    }

    vector<int> ans(n);
    for (int i = 0; i < n; ++i) {
        if(i < min_ze) ans[a[i] - 1] = 1;
        else ans[a[i] - 1] = 2;
    }

    for (int i = 0; i < n; ++i) {
        cout << ans[i] << ' ';
    }

    return 0;
}