#include "bits/stdc++.h"

using namespace std;

#define ll long long

vector<ll> is_prime;
vector<ll> a;
ll n;

void eratos(ll a){
    is_prime.resize(n + 1, 1);

    for (int i = 2; i <= n; ++i) {
        if(is_prime[i]){
            for (int j = i * 2; j < n; j += i) {
                is_prime[j] = 0;
            }
        }
    }
}

bool one_g(ll i, ll j) {
    bool a_ = 0;
    bool b_ = 0;

    a_ = a[i] % a[j] == 0 && (is_prime[a[i] / a[j]]);
    b_ = a[j] % a[i] == 0 && (is_prime[a[j] / a[i]]);

    return !a_ && !b_;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin >> n;

    a.resize(n);
    vector<ll> in(n);
    for (ll i = 0; i < n; ++i) {
        cin >> a[i];
        in[i] = i;
    }

    ll mx = *std::max_element(a.begin(), a.end());
    eratos(mx);

    std::sort(in.begin(), in.end(), one_g);

    ll min_ze = n;

    for (ll i = 0; i < min_ze; ++i) {
        for (ll j = 0; j < min_ze; ++j) {
            if (j != i && !one_g(in[i], in[j])) {
                min_ze = min(min_ze, j);
            }
        }
    }

    vector<ll> ans(n);
    for (ll i = 0; i < n; ++i) {
        if(i < min_ze) ans[in[i]] = 1;
        else ans[in[i]] = 2;
    }

    for (ll i = 0; i < n; ++i) {
        cout << ans[i] << ' ';
    }

}