#include "bits/stdc++.h"

using namespace std;

#define ll long long

vector<ll> is_prime;
vector<ll> a;
ll n;

void eratos(ll a) {
    is_prime.resize(n + 1, 1);

    for (int i = 2; i <= n; ++i) {
        if (is_prime[i]) {
            for (int j = i * 2; j < n; j += i) {
                is_prime[j] = 0;
            }
        }
    }
}

bool one_g(ll i, ll j) {
    bool a_ = 0;
    bool b_ = 0;

    a_ = i % j == 0 && (is_prime[i / j]);
    b_ = j % i == 0 && (is_prime[j / i]);

    return !a_ && !b_;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin >> n;

    a.resize(n);
    for (ll i = 0; i < n; ++i) {
        cin >> a[i];
    }

    ll mx = *std::max_element(a.begin(), a.end());
    eratos(mx);

    vector<int> primes;

    for (int i = 2; i <= n; ++i) {
        if (is_prime[i]) primes.push_back(i);
    }

    vector<int> g(n + 1, 1);
    for (int i = 1; i <= n; ++i) {
        for (auto j: primes) {
            if (j * i > n) break;

            g[j * i] = !g[i];
        }
    }
    for (int i = 1; i <= n; ++i) {
        cout << g[i] + 1 << ' ';
    }
}